---
title: Get detailed information about an agent
description: Datadog, the leading service for cloud-scale monitoring.
breadcrumbs: Docs > API Reference > Fleet Automation
---

# Get detailed information about an agent{% #get-detailed-information-about-an-agent %}
Copy pageCopied
{% tab title="v2" %}
This endpoint is in Preview and may introduce breaking changes. If you have any feedback, contact [Datadog support](https://docs.datadoghq.com/help/).
| Datadog site      | API endpoint                                                            |
| ----------------- | ----------------------------------------------------------------------- |
| ap1.datadoghq.com | GET https://api.ap1.datadoghq.com/api/unstable/fleet/agents/{agent_key} |
| ap2.datadoghq.com | GET https://api.ap2.datadoghq.com/api/unstable/fleet/agents/{agent_key} |
| app.datadoghq.eu  | GET https://api.datadoghq.eu/api/unstable/fleet/agents/{agent_key}      |
| app.ddog-gov.com  | GET https://api.ddog-gov.com/api/unstable/fleet/agents/{agent_key}      |
| us2.ddog-gov.com  | GET https://api.us2.ddog-gov.com/api/unstable/fleet/agents/{agent_key}  |
| app.datadoghq.com | GET https://api.datadoghq.com/api/unstable/fleet/agents/{agent_key}     |
| us3.datadoghq.com | GET https://api.us3.datadoghq.com/api/unstable/fleet/agents/{agent_key} |
| us5.datadoghq.com | GET https://api.us5.datadoghq.com/api/unstable/fleet/agents/{agent_key} |

### Overview



Retrieve detailed information about a specific Datadog Agent. This endpoint returns comprehensive information about an agent including:

- Agent details and metadata
- Configured integrations organized by status (working, warning, error, missing)
- Detected integrations
- Configuration files and layers
This endpoint requires the `hosts_read` permission.


### Arguments

#### Path Parameters

| Name                        | Type   | Description                                              |
| --------------------------- | ------ | -------------------------------------------------------- |
| agent_key [*required*] | string | The unique identifier (agent key) for the Datadog Agent. |

### Response

{% tab title="200" %}
OK
{% tab title="Model" %}
Response containing detailed information about a specific agent.

| Parent field          | Field                                  | Type     | Description                                                               |
| --------------------- | -------------------------------------- | -------- | ------------------------------------------------------------------------- |
|                       | data [*required*]                 | object   | Represents detailed information about a specific Datadog Agent.           |
| data                  | attributes [*required*]           | object   | Attributes for agent information.                                         |
| attributes            | agent_infos                            | object   | Detailed information about a Datadog Agent.                               |
| agent_infos           | agent_version                          | string   | The Datadog Agent version.                                                |
| agent_infos           | api_key_name                           | string   | The API key name (if available and not redacted).                         |
| agent_infos           | api_key_uuid                           | string   | The API key UUID.                                                         |
| agent_infos           | cloud_provider                         | string   | The cloud provider where the agent is running.                            |
| agent_infos           | cluster_name                           | string   | Kubernetes cluster name (if applicable).                                  |
| agent_infos           | datadog_agent_key                      | string   | The unique agent key identifier.                                          |
| agent_infos           | enabled_products                       | [string] | Datadog products enabled on the agent.                                    |
| agent_infos           | env                                    | [string] | Environments the agent is reporting from.                                 |
| agent_infos           | first_seen_at                          | int64    | Timestamp when the agent was first seen.                                  |
| agent_infos           | hostname                               | string   | The hostname of the agent.                                                |
| agent_infos           | hostname_aliases                       | [string] | Alternative hostname list for the agent.                                  |
| agent_infos           | install_method_installer_version       | string   | The version of the installer used.                                        |
| agent_infos           | install_method_tool                    | string   | The tool used to install the agent.                                       |
| agent_infos           | ip_addresses                           | [string] | IP addresses of the agent.                                                |
| agent_infos           | is_single_step_instrumentation_enabled | boolean  | Whether single-step instrumentation is enabled.                           |
| agent_infos           | last_restart_at                        | int64    | Timestamp of the last agent restart.                                      |
| agent_infos           | os                                     | string   | The operating system.                                                     |
| agent_infos           | os_version                             | string   | The operating system version.                                             |
| agent_infos           | otel_collector_version                 | string   | OpenTelemetry collector version (if applicable).                          |
| agent_infos           | otel_collector_versions                | [string] | List of OpenTelemetry collector versions (if applicable).                 |
| agent_infos           | otel_collectors                        | [object] | OpenTelemetry collectors associated with the agent (if applicable).       |
| agent_infos           | pod_name                               | string   | Kubernetes pod name (if applicable).                                      |
| agent_infos           | python_version                         | string   | The Python version used by the agent.                                     |
| agent_infos           | region                                 | [string] | Regions where the agent is running.                                       |
| agent_infos           | remote_agent_management                | string   | Remote agent management status.                                           |
| agent_infos           | remote_config_status                   | string   | Remote configuration status.                                              |
| agent_infos           | services                               | [string] | Services running on the agent.                                            |
| agent_infos           | tags                                   | [string] | Tags associated with the agent.                                           |
| agent_infos           | team                                   | string   | Team associated with the agent.                                           |
| attributes            | configuration_files                    | object   | Configuration information organized by layers.                            |
| configuration_files   | compiled_configuration                 | string   | The final compiled configuration.                                         |
| configuration_files   | env_configuration                      | string   | Configuration from environment variables.                                 |
| configuration_files   | file_configuration                     | string   | Configuration from files.                                                 |
| configuration_files   | parsed_configuration                   | string   | Parsed configuration output.                                              |
| configuration_files   | remote_configuration                   | string   | Remote configuration settings.                                            |
| configuration_files   | runtime_configuration                  | string   | Runtime configuration.                                                    |
| attributes            | detected_integrations                  | [object] | List of detected integrations.                                            |
| detected_integrations | escaped_name                           | string   | Escaped integration name.                                                 |
| detected_integrations | prefix                                 | string   | Integration prefix identifier.                                            |
| attributes            | integrations                           | object   | Integrations organized by their status.                                   |
| integrations          | configuration_files                    | [object] | Configuration files for integrations.                                     |
| configuration_files   | file_content                           | string   | The raw content of the configuration file.                                |
| configuration_files   | file_path                              | string   | Path to the configuration file.                                           |
| configuration_files   | filename                               | string   | Name of the configuration file.                                           |
| integrations          | datadog_agent_key                      | string   | The unique agent key identifier.                                          |
| integrations          | error_integrations                     | [object] | Integrations with errors.                                                 |
| error_integrations    | data_type                              | string   | Type of data collected (metrics, logs).                                   |
| error_integrations    | error_messages                         | [string] | Error messages if the integration has issues.                             |
| error_integrations    | init_config                            | string   | Initialization configuration (YAML format).                               |
| error_integrations    | instance_config                        | string   | Instance-specific configuration (YAML format).                            |
| error_integrations    | is_custom_check                        | boolean  | Whether this is a custom integration.                                     |
| error_integrations    | log_config                             | string   | Log collection configuration (YAML format).                               |
| error_integrations    | name                                   | string   | Name of the integration instance.                                         |
| error_integrations    | source_index                           | int64    | Index in the configuration file.                                          |
| error_integrations    | source_path                            | string   | Path to the configuration file.                                           |
| error_integrations    | type                                   | string   | Integration type.                                                         |
| integrations          | missing_integrations                   | [object] | Detected but not configured integrations.                                 |
| missing_integrations  | escaped_name                           | string   | Escaped integration name.                                                 |
| missing_integrations  | prefix                                 | string   | Integration prefix identifier.                                            |
| integrations          | warning_integrations                   | [object] | Integrations with warnings.                                               |
| warning_integrations  | data_type                              | string   | Type of data collected (metrics, logs).                                   |
| warning_integrations  | error_messages                         | [string] | Error messages if the integration has issues.                             |
| warning_integrations  | init_config                            | string   | Initialization configuration (YAML format).                               |
| warning_integrations  | instance_config                        | string   | Instance-specific configuration (YAML format).                            |
| warning_integrations  | is_custom_check                        | boolean  | Whether this is a custom integration.                                     |
| warning_integrations  | log_config                             | string   | Log collection configuration (YAML format).                               |
| warning_integrations  | name                                   | string   | Name of the integration instance.                                         |
| warning_integrations  | source_index                           | int64    | Index in the configuration file.                                          |
| warning_integrations  | source_path                            | string   | Path to the configuration file.                                           |
| warning_integrations  | type                                   | string   | Integration type.                                                         |
| integrations          | working_integrations                   | [object] | Integrations that are working correctly.                                  |
| working_integrations  | data_type                              | string   | Type of data collected (metrics, logs).                                   |
| working_integrations  | error_messages                         | [string] | Error messages if the integration has issues.                             |
| working_integrations  | init_config                            | string   | Initialization configuration (YAML format).                               |
| working_integrations  | instance_config                        | string   | Instance-specific configuration (YAML format).                            |
| working_integrations  | is_custom_check                        | boolean  | Whether this is a custom integration.                                     |
| working_integrations  | log_config                             | string   | Log collection configuration (YAML format).                               |
| working_integrations  | name                                   | string   | Name of the integration instance.                                         |
| working_integrations  | source_index                           | int64    | Index in the configuration file.                                          |
| working_integrations  | source_path                            | string   | Path to the configuration file.                                           |
| working_integrations  | type                                   | string   | Integration type.                                                         |
| data                  | id [*required*]                   | string   | The unique agent key identifier.                                          |
| data                  | type [*required*]                 | enum     | The type of Agent info resource. Allowed enum values: `datadog_agent_key` |

{% /tab %}

{% tab title="Example" %}

```json
{
  "data": {
    "attributes": {
      "agent_infos": {
        "agent_version": "7.50.0",
        "api_key_name": "Production API Key",
        "api_key_uuid": "a1b2c3d4-e5f6-4321-a123-123456789abc",
        "cloud_provider": "aws",
        "cluster_name": "string",
        "datadog_agent_key": "my-agent-hostname",
        "enabled_products": [],
        "env": [],
        "first_seen_at": "integer",
        "hostname": "my-hostname",
        "hostname_aliases": [],
        "install_method_installer_version": "1.2.3",
        "install_method_tool": "chef",
        "ip_addresses": [],
        "is_single_step_instrumentation_enabled": false,
        "last_restart_at": "integer",
        "os": "linux",
        "os_version": "Ubuntu 20.04",
        "otel_collector_version": "string",
        "otel_collector_versions": [],
        "otel_collectors": [],
        "pod_name": "string",
        "python_version": "3.9.5",
        "region": [],
        "remote_agent_management": "enabled",
        "remote_config_status": "connected",
        "services": [],
        "tags": [],
        "team": "string"
      },
      "configuration_files": {
        "compiled_configuration": "string",
        "env_configuration": "string",
        "file_configuration": "string",
        "parsed_configuration": "string",
        "remote_configuration": "string",
        "runtime_configuration": "string"
      },
      "detected_integrations": [
        {
          "escaped_name": "postgresql",
          "prefix": "postgres"
        }
      ],
      "integrations": {
        "configuration_files": [
          {
            "file_content": "string",
            "file_path": "/conf.d/postgres.d/postgres.yaml",
            "filename": "postgres.yaml"
          }
        ],
        "datadog_agent_key": "string",
        "error_integrations": [
          {
            "data_type": "metrics",
            "error_messages": [],
            "init_config": "string",
            "instance_config": "string",
            "is_custom_check": false,
            "log_config": "string",
            "name": "string",
            "source_index": "integer",
            "source_path": "string",
            "type": "postgres"
          }
        ],
        "missing_integrations": [
          {
            "escaped_name": "postgresql",
            "prefix": "postgres"
          }
        ],
        "warning_integrations": [
          {
            "data_type": "metrics",
            "error_messages": [],
            "init_config": "string",
            "instance_config": "string",
            "is_custom_check": false,
            "log_config": "string",
            "name": "string",
            "source_index": "integer",
            "source_path": "string",
            "type": "postgres"
          }
        ],
        "working_integrations": [
          {
            "data_type": "metrics",
            "error_messages": [],
            "init_config": "string",
            "instance_config": "string",
            "is_custom_check": false,
            "log_config": "string",
            "name": "string",
            "source_index": "integer",
            "source_path": "string",
            "type": "postgres"
          }
        ]
      }
    },
    "id": "my-agent-hostname",
    "type": "datadog_agent_key"
  }
}
```

{% /tab %}

{% /tab %}

{% tab title="400" %}
Bad Request
{% tab title="Model" %}
API error response.

| Field                    | Type     | Description       |
| ------------------------ | -------- | ----------------- |
| errors [*required*] | [string] | A list of errors. |

{% /tab %}

{% tab title="Example" %}

```json
{
  "errors": [
    "Bad Request"
  ]
}
```

{% /tab %}

{% /tab %}

{% tab title="401" %}
Unauthorized
{% tab title="Model" %}
API error response.

| Field                    | Type     | Description       |
| ------------------------ | -------- | ----------------- |
| errors [*required*] | [string] | A list of errors. |

{% /tab %}

{% tab title="Example" %}

```json
{
  "errors": [
    "Bad Request"
  ]
}
```

{% /tab %}

{% /tab %}

{% tab title="403" %}
Forbidden
{% tab title="Model" %}
API error response.

| Field                    | Type     | Description       |
| ------------------------ | -------- | ----------------- |
| errors [*required*] | [string] | A list of errors. |

{% /tab %}

{% tab title="Example" %}

```json
{
  "errors": [
    "Bad Request"
  ]
}
```

{% /tab %}

{% /tab %}

{% tab title="404" %}
Not Found
{% tab title="Model" %}
API error response.

| Field                    | Type     | Description       |
| ------------------------ | -------- | ----------------- |
| errors [*required*] | [string] | A list of errors. |

{% /tab %}

{% tab title="Example" %}

```json
{
  "errors": [
    "Bad Request"
  ]
}
```

{% /tab %}

{% /tab %}

{% tab title="429" %}
Too many requests
{% tab title="Model" %}
API error response.

| Field                    | Type     | Description       |
| ------------------------ | -------- | ----------------- |
| errors [*required*] | [string] | A list of errors. |

{% /tab %}

{% tab title="Example" %}

```json
{
  "errors": [
    "Bad Request"
  ]
}
```

{% /tab %}

{% /tab %}

### Code Example

##### 
                  \# Path parameters export agent_key="CHANGE_ME" \# Curl command curl -X GET "https://api.datadoghq.com/api/unstable/fleet/agents/${agent_key}" \
-H "Accept: application/json" \
-H "DD-API-KEY: ${DD_API_KEY}" \
-H "DD-APPLICATION-KEY: ${DD_APP_KEY}" 
                
##### 

```python
"""
Get detailed information about an agent returns "OK" response
"""

from datadog_api_client import ApiClient, Configuration
from datadog_api_client.v2.api.fleet_automation_api import FleetAutomationApi

configuration = Configuration()
configuration.unstable_operations["get_fleet_agent_info"] = True
with ApiClient(configuration) as api_client:
    api_instance = FleetAutomationApi(api_client)
    response = api_instance.get_fleet_agent_info(
        agent_key="agent_key",
    )

    print(response)
```

#### Instructions

First [install the library and its dependencies](https://docs.datadoghq.com/api/latest.md?code-lang=python) and then save the example to `example.py` and run following commands:
    DD_SITE="datadoghq.com" DD_API_KEY="<DD_API_KEY>" DD_APP_KEY="<DD_APP_KEY>" python3 "example.py"
##### 

```ruby
# Get detailed information about an agent returns "OK" response

require "datadog_api_client"
DatadogAPIClient.configure do |config|
  config.unstable_operations["v2.get_fleet_agent_info".to_sym] = true
end
api_instance = DatadogAPIClient::V2::FleetAutomationAPI.new
p api_instance.get_fleet_agent_info("agent_key")
```

#### Instructions

First [install the library and its dependencies](https://docs.datadoghq.com/api/latest.md?code-lang=ruby) and then save the example to `example.rb` and run following commands:
    DD_SITE="datadoghq.com" DD_API_KEY="<DD_API_KEY>" DD_APP_KEY="<DD_APP_KEY>" rb "example.rb"
##### 

```go
// Get detailed information about an agent returns "OK" response

package main

import (
	"context"
	"encoding/json"
	"fmt"
	"os"

	"github.com/DataDog/datadog-api-client-go/v2/api/datadog"
	"github.com/DataDog/datadog-api-client-go/v2/api/datadogV2"
)

func main() {
	ctx := datadog.NewDefaultContext(context.Background())
	configuration := datadog.NewConfiguration()
	configuration.SetUnstableOperationEnabled("v2.GetFleetAgentInfo", true)
	apiClient := datadog.NewAPIClient(configuration)
	api := datadogV2.NewFleetAutomationApi(apiClient)
	resp, r, err := api.GetFleetAgentInfo(ctx, "agent_key")

	if err != nil {
		fmt.Fprintf(os.Stderr, "Error when calling `FleetAutomationApi.GetFleetAgentInfo`: %v\n", err)
		fmt.Fprintf(os.Stderr, "Full HTTP response: %v\n", r)
	}

	responseContent, _ := json.MarshalIndent(resp, "", "  ")
	fmt.Fprintf(os.Stdout, "Response from `FleetAutomationApi.GetFleetAgentInfo`:\n%s\n", responseContent)
}
```

#### Instructions

First [install the library and its dependencies](https://docs.datadoghq.com/api/latest.md?code-lang=go) and then save the example to `main.go` and run following commands:
    DD_SITE="datadoghq.com" DD_API_KEY="<DD_API_KEY>" DD_APP_KEY="<DD_APP_KEY>" go run "main.go"
##### 

```java
// Get detailed information about an agent returns "OK" response

import com.datadog.api.client.ApiClient;
import com.datadog.api.client.ApiException;
import com.datadog.api.client.v2.api.FleetAutomationApi;
import com.datadog.api.client.v2.model.FleetAgentInfoResponse;

public class Example {
  public static void main(String[] args) {
    ApiClient defaultClient = ApiClient.getDefaultApiClient();
    defaultClient.setUnstableOperationEnabled("v2.getFleetAgentInfo", true);
    FleetAutomationApi apiInstance = new FleetAutomationApi(defaultClient);

    try {
      FleetAgentInfoResponse result = apiInstance.getFleetAgentInfo("agent_key");
      System.out.println(result);
    } catch (ApiException e) {
      System.err.println("Exception when calling FleetAutomationApi#getFleetAgentInfo");
      System.err.println("Status code: " + e.getCode());
      System.err.println("Reason: " + e.getResponseBody());
      System.err.println("Response headers: " + e.getResponseHeaders());
      e.printStackTrace();
    }
  }
}
```

#### Instructions

First [install the library and its dependencies](https://docs.datadoghq.com/api/latest.md?code-lang=java) and then save the example to `Example.java` and run following commands:
    DD_SITE="datadoghq.com" DD_API_KEY="<DD_API_KEY>" DD_APP_KEY="<DD_APP_KEY>" java "Example.java"
##### 

```rust
// Get detailed information about an agent returns "OK" response
use datadog_api_client::datadog;
use datadog_api_client::datadogV2::api_fleet_automation::FleetAutomationAPI;

#[tokio::main]
async fn main() {
    let mut configuration = datadog::Configuration::new();
    configuration.set_unstable_operation_enabled("v2.GetFleetAgentInfo", true);
    let api = FleetAutomationAPI::with_config(configuration);
    let resp = api.get_fleet_agent_info("agent_key".to_string()).await;
    if let Ok(value) = resp {
        println!("{:#?}", value);
    } else {
        println!("{:#?}", resp.unwrap_err());
    }
}
```

#### Instructions

First [install the library and its dependencies](https://docs.datadoghq.com/api/latest.md?code-lang=rust) and then save the example to `src/main.rs` and run following commands:
    DD_SITE="datadoghq.com" DD_API_KEY="<DD_API_KEY>" DD_APP_KEY="<DD_APP_KEY>" cargo run
##### 

```typescript
/**
 * Get detailed information about an agent returns "OK" response
 */

import { client, v2 } from "@datadog/datadog-api-client";

const configuration = client.createConfiguration();
configuration.unstableOperations["v2.getFleetAgentInfo"] = true;
const apiInstance = new v2.FleetAutomationApi(configuration);

const params: v2.FleetAutomationApiGetFleetAgentInfoRequest = {
  agentKey: "agent_key",
};

apiInstance
  .getFleetAgentInfo(params)
  .then((data: v2.FleetAgentInfoResponse) => {
    console.log(
      "API called successfully. Returned data: " + JSON.stringify(data)
    );
  })
  .catch((error: any) => console.error(error));
```

#### Instructions

First [install the library and its dependencies](https://docs.datadoghq.com/api/latest.md?code-lang=typescript) and then save the example to `example.ts` and run following commands:
    DD_SITE="datadoghq.com" DD_API_KEY="<DD_API_KEY>" DD_APP_KEY="<DD_APP_KEY>" tsc "example.ts"
{% /tab %}
